function openNetworkIO
% Init network communication to ACN Network-IO device

% Copyright 2007-2018
% CC-GNU GPL by attribution
% Please cite the BioPsychology Toolbox where this function is used.
%       http://biopsytoolbox.sourceforge.net/
%
% See also:  bIO, closeNetworkIO

% VERSION HISTORY:
% Tobias Otto
% 1.0
% 03.03.2018

% 03.03.2018, Tobias: first draft

%% Init variables
global SETUP

SETUP.udpDIO.odroidIP   = SETUP.networkDIO.odroidIP;
SETUP.udpDIO.odroidPort = 5005;
SETUP.udpDIO.localPort  = 5005;
SETUP.udpDIO.initPins   = '00000000';
SETUP.udpDIO.currPins   = SETUP.udpDIO.initPins;

% For the toolbox ... nothing to do here
SETUP.networkDIO.initDone = 1;

%% User info
disp([' Connected to IP ' SETUP.networkDIO.odroidIP ':' num2str(SETUP.udpDIO.odroidPort)]);
