function out = computeCRC(in)
% Helper function that computes the CRC value of the serial port

% Copyright 2007-2011 
% CC-GNU GPL by attribution 
% Please cite the BioPsychology Toolbox where this function is used. 
%       http://biopsytoolbox.sourceforge.net/
% 
% See also:  

% VERSION HISTORY:
% Author:         Tobias Otto
% Version:        0.1
% Last Change:    28.02.2011

% 28.02.2011, Tobias: first draft

out = xor(xor(double2binvec(in(1)),double2binvec(in(2))),double2binvec(in(3)));
out = binvec2double(out);