function dataAvailable
% Callback function to read data from the network io box
% Never call this function directly

% VERSION HISTORY:
% Author:         Tobias Otto
% Version:        1.0
% Last Change:    25.10.2016

% 25.10.2015, Tobias: first draft

%% Get access to data
global SETUP

%% Get data, because data are available ;)
SETUP.networkDIO.data = fread(SETUP.networkDIO.obj, SETUP.networkDIO.obj.BytesAvailable, 'uint32');