function [] = saveCode(fName, cde)
% function [] = saveCode(fName, cde)
%
% use this function to save output of getCode as *.m file 
% 
% INPUTS
% fName     : file name for saving (*.m file) to read  
%
% see also: getCode.m

% VERSION HISTORY:
% Author:         Jonas Rose
% Version:        0.1
%
% Last Change:
% 03.10.15  : Jonas     : first draft
%
% BUGS/ TODO

% append .m if it's missing
if ~strncmp(fName(end:-1:end-1) ,'m.',2)
    fName = [fName '.m'];
end

% create file for writing and save code 
fHand = fopen(fName,'w');
fwrite(fHand,cde, 'uint8');
fclose(fHand);