function [lanHand, remotePort] = connectUdp2Monitor(remoteIP, localIP)
%
% function [lanHand, remotePort] = connectUdp2Monitor(remoteIP, localIP)
% 

% Author    : Jonas Rose/ Tobias Otto
% Version   : 0.1
% Date      : 21.02.2020

% 21.02.2020, Tobias: first draft

% clients are always port 5500 
localPort = 5500;

%% open udp socket
% port on remote monitor depends on local client ip
ind     = strfind(localIP,'.');
remotePort = str2double(localIP(ind(end)+1:end))+ localPort;
% make the socket
lanHand = pnet('udpsocket', localPort);
% connect
pnet(lanHand,'udpconnect', remoteIP, remotePort);
% % configure socket to only wait briefly for packets (read)
% pnet(lanHand,'setreadtimeout',.1);